# ext_tables.sql contient les directives permettant d ajouter des tables et champs à la DB

#
# Table structure for table 'pages'
#
CREATE TABLE pages (
	ot_website_uid INT UNSIGNED DEFAULT NULL,

    KEY website (ot_website_uid)
);

#
# Table structure for table 'ot_websites'
#
CREATE TABLE ot_websites
(
    uid INT UNSIGNED NOT NULL AUTO_INCREMENT,
    organization_id INT NOT NULL,
    organization_name VARCHAR(255) NOT NULL,
    subdomain VARCHAR(255) NOT NULL,
    custom_domain VARCHAR(255),
    locale VARCHAR(10) DEFAULT 'fr-FR',
    config_identifier VARCHAR(255),
    deleted tinyint(1) unsigned DEFAULT '0' NOT NULL,

    PRIMARY KEY (uid),
    KEY organization_id (organization_id),
    KEY subdomain (subdomain),
    KEY config_identifier (config_identifier)
);

#
# Table structure for table 'tx_opentalent_log'
#
CREATE TABLE ot_log (
    request_id varchar(13) DEFAULT '' NOT NULL,
    time_micro double(16,4) NOT NULL default '0.0000',
    component varchar(255) DEFAULT '' NOT NULL,
    level tinyint(1) unsigned DEFAULT '0' NOT NULL,
    message text,
    data text,

    KEY request (request_id)
);
